#
# spec file for package python-conda
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-conda
Version:        3.7.0
Release:        1.2
Summary:        Package management tool for python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/conda/
Source:         https://pypi.python.org/packages/source/c/conda/conda-%{version}.tar.gz
BuildRequires:  python-PyYAML
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-pycosat
BuildRequires:  python-requests
BuildRequires:  python-setuptools
Requires:       python-PyYAML
Requires:       python-pycosat
Requires:       python-requests
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Conda is a cross-platform, Python-agnostic binary package manager. 
It is the package manager used by Anaconda installations, but it may
be used for other systems as well. Conda makes environments
first-class citizens, making it easy to create independent 
environments even for C libraries. Conda is written entirely in 
Python, and is BSD licensed open source.

%prep
%setup -q -n conda-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

mv %{buildroot}%{_bindir}/conda %{buildroot}%{_bindir}/conda-%{py_ver}
mv %{buildroot}%{_bindir}/activate %{buildroot}%{_bindir}/activate-%{py_ver}
mv %{buildroot}%{_bindir}/deactivate %{buildroot}%{_bindir}/deactivate-%{py_ver}

ln -s  %{_bindir}/conda-%{py_ver} %{buildroot}%{_bindir}/conda
ln -s  %{_bindir}/activate-%{py_ver} %{buildroot}%{_bindir}/activate
ln -s  %{_bindir}/deactivate-%{py_ver} %{buildroot}%{_bindir}/deactivate

%pre
[ -h %{_bindir}/conda ] || rm -f %{_bindir}/conda
[ -h %{_bindir}/activate ] || rm -f %{_bindir}/activate
[ -h %{_bindir}/deactivate ] || rm -f %{_bindir}/deactivate

%post
update-alternatives \
   --install %{_bindir}/conda conda %{_bindir}/conda-%{py_ver} 30 \
   --slave %{_bindir}/activate activate %{_bindir}/activate-%{py_ver} \
   --slave %{_bindir}/deactivate deactivate %{_bindir}/deactivate-%{py_ver}

%preun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove conda %{_bindir}/conda-%{py_ver}
fi

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.rst
%ghost %{_bindir}/activate
%ghost %{_bindir}/conda
%ghost %{_bindir}/deactivate
%{_bindir}/activate-%{py_ver}
%{_bindir}/conda-%{py_ver}
%{_bindir}/deactivate-%{py_ver}
%{python_sitelib}/*

%changelog
* Fri Nov 28 2014 toddrme2178@gmail.com
- Initial version
